Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-council
Navigation:
Lists: gentoo-council: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-dev@g.o
From: Brian Harring <ferringb@...>
Subject: Re: [gentoo-dev] News item for Paludis kdebuild-1 removal
Date: Mon, 14 Dec 2009 13:12:19 -0800
On Mon, Dec 14, 2009 at 07:54:25PM +0000, Ciaran McCreesh wrote:
> Since kdebuild-1 is to be removed from PMS immediately, it's going to go
> from Paludis in the next release too. We need to warn users about this,
> since they'll no longer be able to uninstall kdebuild-1 packages they
> have installed. Please review the following GLEP 42 news item for this:
> 
> Title: Paludis kdebuild-1 Removal
> Author: Ciaran McCreesh <ciaran.mccreesh@...>
> Content-Type: text/plain
> Posted: 2009-12-14
> Revision: 1
> News-Item-Format: 1.0
> Display-If-Installed: <sys-apps/paludis-0.44_alpha
> 
> kdebuild-1 was an EAPI used by the Gentoo KDE team and the Genkdesvn
> project for various live ebuilds in overlays.
> 
> The Gentoo Council has decided that all mention of the kdebuild-1 EAPI
> is to be removed from the Package Manager Specification immediately. As
> such, support for this EAPI, including support for uninstalling
> packages with that EAPI, will be removed from Paludis in version 0.44.

"KDEBUILD is no longer in use by any developers, as such paludis will 
be removing support for it" is factually more accurate.

Council doesn't care if you leave KDEBUILD support in your PM- 
considering you've been claiming leaving it in PMS was needed for 
users (and that one must always think of the users), the wording 
implying blaim on the council is rather unnecessary.

Jam it in your NEWS/RELEASE notes if you want to slant it, basically.


> Users should verify that they have no kdebuild-1 packages installed. If
> Paludis was built with the 'inquisitio' use flag enabled, you can use:
> 
>     $ inquisitio -K installed -k EAPI kdebuild-1
> 
> Otherwise, use:
> 
>     $ paludis -q '*/*::/[.EAPI=kdebuild-1]'
> 
> and, if any such packages are installed, they must be uninstalled
> before Paludis is upgraded.

This seems like this news item should be hitting gentoo-kde's overlay 
on a sidenote- yes, the news item is about paludis, but the folk 
affected are the ones who daftly used KDEBUILD eapis out of that 
overlay.

Either this, or a seperate NEWS item added to that overlay stating 
"KDEBUILD is dead, remove those merged pkgs" would be wise.

~harring
Attachment:
pgp3NKzaxOXLq.pgp (PGP signature)
Navigation:
Lists: gentoo-council: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
eapi3 riders
Next by thread:
Re: [gentoo-dev] News item for Paludis kdebuild-1 removal
Previous by date:
Re: Re: [gentoo-pms] kdebuild-1 conditionales
Next by date:
Re: [gentoo-dev] News item for Paludis kdebuild-1 removal


Updated Nov 13, 2011

Summary: Archive of the gentoo-council mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.